from rich import print as rich_print
from typing import Any, Dict


class DockerLogPrinter:
    """
    A class that displays Docker logs.
    """

    def log(self, log: Dict[str, Any]) -> None:
        """
        Display a Docker log.

        :type log: Dict[string, Any]
        :param log: Log message generated by a Docker client instance.
        """
        if 'stream' in log:
            content = log['stream'].strip()
            if content:
                rich_print("[bold magenta]stream\t|[/bold magenta] " + content)

        elif 'error' in log:
            content = log['error'].strip()
            if content:
                rich_print("[bold red]error\t|[/bold red] " + content)
